I assume this will probably work just fine, but I thought I would run
it by the Zen gurus!

My current environment started with ZfD 3 installed throughout, but
backend was upgraded to 4.0.1. For the most part, Client 4.83 and 4.9
installed everywhere, but there has been some hesitation to moving
forward with the Zen Client (don't ask).

I've got a new server to load ZfD 6.5 on fresh that requires no ties to
the old zen install (i.e. inventory). Since we are starting fresh, can
I just install 6.5 on the new box, point everything (import and
inventory) to it and start installing the ZfD client on my clients?

At that point, I should be able to do away with my old server right?